## com.imcode.imcms.flow
Class EditUrlDocumentPageFlow

    java.lang.Object
      com.imcode.imcms.flow.PageFlow
          com.imcode.imcms.flow.DocumentPageFlow
              com.imcode.imcms.flow.EditDocumentPageFlow
                  com.imcode.imcms.flow.EditUrlDocumentPageFlow

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

    public class EditUrlDocumentPageFlow

extends EditDocumentPageFlow

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.imcode.imcms.flow.DocumentPageFlow
`DocumentPageFlow.SaveDocumentCommand`

Field Summary
`static java.lang.String` `REQUEST_PARAMETER__URL_DOC__URL`

Fields inherited from class com.imcode.imcms.flow.EditDocumentPageFlow
`document, PAGE__EDIT, URL_I15D_PAGE__PREFIX`

Fields inherited from class com.imcode.imcms.flow.DocumentPageFlow
`saveDocumentCommand`

Fields inherited from class com.imcode.imcms.flow.PageFlow
`REQUEST_ATTRIBUTE_OR_PARAMETER__FLOW, REQUEST_PARAMETER__CANCEL_BUTTON, REQUEST_PARAMETER__OK_BUTTON, REQUEST_PARAMETER__PAGE, returnCommand`

Constructor Summary
`EditUrlDocumentPageFlow(UrlDocumentDomainObject document, DispatchCommand returnCommand, DocumentPageFlow.SaveDocumentCommand saveDocumentCommand)`

Method Summary
`protected void` `dispatchFromEditPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String page)`
`protected void` `dispatchOkFromEditPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `dispatchToFirstPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class com.imcode.imcms.flow.EditDocumentPageFlow
`dispatchFromPage, dispatchOk, getDocument`

Methods inherited from class com.imcode.imcms.flow.DocumentPageFlow
`fromRequest, saveDocument, saveDocumentAndReturn`

Methods inherited from class com.imcode.imcms.flow.PageFlow
`dispatch, dispatchReturn, getSessionAttributeName, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__URL_DOC__URL

    public static final java.lang.String REQUEST_PARAMETER__URL_DOC__URL

See Also:
  Constant Field Values

Constructor Detail

### EditUrlDocumentPageFlow

    public EditUrlDocumentPageFlow(UrlDocumentDomainObject document,
                                   DispatchCommand returnCommand,
                                   DocumentPageFlow.SaveDocumentCommand saveDocumentCommand)

Method Detail

### dispatchFromEditPage

    protected void dispatchFromEditPage(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response,
                                        java.lang.String page)
                                 throws java.io.IOException

  Specified by:
    `dispatchFromEditPage` in class `EditDocumentPageFlow`
  Throws:
    `java.io.IOException`

### dispatchOkFromEditPage

    protected void dispatchOkFromEditPage(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response)
                                   throws java.io.IOException

  Specified by:
    `dispatchOkFromEditPage` in class `EditDocumentPageFlow`
  Throws:
    `java.io.IOException`

### dispatchToFirstPage

    protected void dispatchToFirstPage(javax.servlet.http.HttpServletRequest request,
                                       javax.servlet.http.HttpServletResponse response)
                                throws java.io.IOException,
                                       javax.servlet.ServletException

  Specified by:
    `dispatchToFirstPage` in class `PageFlow`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`